/* DrawBitMap.c  Pawe Marciniak <pmarciniak@lodz.home.pl>*/
#include <exec/execbase.h>
#include <exec/types.h>
#include <exec/memory.h>
#include <graphics/rastport.h>
#include <graphics/gfxbase.h>
#include <graphics/view.h>
#include <intuition/screens.h>
#include <utility/tagitem.h>
#include <proto/exec.h>
#include <proto/graphics.h>
#include <proto/utility.h>

#include "/include/libraries/image.h"

/**DrawBitMap***********************************************************/


/* DrawBitMap() (c) 1997 Pawe Marciniak
  Modify date  |  Version  |  Comment
---------------+-----------+------------------------------
30-05-97 18:02 |  1.1      |
1-06-97  8:41  |  1.2      |
1-06-97 16:04  |  1.3      |
1-06-97 16:56  |  1.31     |
2-06-97 16:00  |  1.32     |
8-06-97 12:23  |  1.33     |
14-08-97 12:12 |  1.4      |
*/
VOID __saveds __asm DrawBitMap( register __a0 struct BitMap *BitMap, register __d1 ULONG xpos, register __d2 ULONG ypos, register __d3 ULONG Width, register __d4 ULONG Height, register __a1 struct RastPort *RPort )
{
  if( BitMap )
  {
    BltBitMapRastPort( BitMap, 0, 0, RPort, xpos, ypos, Width, Height, 0x0C0 );
    WaitBlit();
  }
}
